## node-nan 1.3.0

=== Makefile ===
TOPLEVEL ?= $(dir $(lastword $(MAKEFILE_LIST)))
CPPLINT ?= $(TOPLEVEL)/cpplint.py
PYTHON ?= python

SOURCES = \
	examples/async_pi_estimate/addon.cc \
	examples/async_pi_estimate/async.cc \
	examples/async_pi_estimate/async.h \
	examples/async_pi_estimate/pi_est.cc \
	examples/async_pi_estimate/pi_est.h \
	examples/async_pi_estimate/sync.cc \
	examples/async_pi_estimate/sync.h \
	nan.h \
	test/cpp/asyncworker.cpp \
        test/cpp/asyncworkererror.cpp \
        test/cpp/bufferworkerpersistent.cpp \
        test/cpp/morenews.cpp \
	test/cpp/multifile1.cpp \
	test/cpp/multifile2.cpp \
	test/cpp/multifile2.h \
        test/cpp/news.cpp \
	test/cpp/optionvalues.cpp \
	test/cpp/persistent.cpp \
	test/cpp/returnemptystring.cpp \
	test/cpp/returnnull.cpp \
	test/cpp/returnundefined.cpp \
	test/cpp/returnvalue.cpp \
	test/cpp/settergetter.cpp \
	test/cpp/strings.cpp \
	test/cpp/symbols.cpp \
        test/cpp/weak.cpp \
	test/node_modules/node-gyp/gyp/data/win/large-pdb-shim.cc

FILTER = -whitespace/parens

.PHONY: lint

lint:
	cd $(TOPLEVEL) && $(PYTHON) $(CPPLINT) --filter=$(FILTER) $(SOURCES)

## node-nan 0.3.2

=== debian/changelog ===
node-nan (0.3.2-1) unstable; urgency=low

  * Initial release. (Closes: #721561).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 03 Sep 2013 01:28:36 +0200

=== debian/control ===
Source: node-nan
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper (>= 8.0.0),
 dh-buildinfo,
Standards-Version: 3.9.4
Homepage: https://github.com/rvagg/nan
Vcs-Git: git://anonscm.debian.org/collab-maint/node-nan.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-nan.git

Package: node-nan
Architecture: all
Depends:
 ${misc:Depends},
 nodejs (>= 0.10),
Description: Native Abstractions for Node.js
 A header file filled with macro and utility goodness for making addon
 development for Node.js easier across versions 0.8, 0.10 and 0.11, and
 eventually 0.12.
 .
 Thanks to the crazy changes in V8 (and some in Node core), keeping native
 addons compiling happily across versions, particularly 0.10 to 0.11/0.12,
 is a minor nightmare. The goal of this project is to store all logic
 necessary to develop native Node.js addons without having to inspec
 NODE_MODULE_VERSION and get yourself into a macro-tangle.
 .
 This project also contains some helper utilities that make addon development
 a bit more pleasant.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	cp .index.js index.js
	dh_install

override_dh_auto_clean:
	rm -f index.js
	dh_auto_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-nan-$1.tar.gz/ \
https://github.com/rvagg/nan/tags .*/archive/v?([\d\.]+).tar.gz

## node-nan 1.2.0

=== debian/changelog ===
node-nan (1.2.0-1) unstable; urgency=medium

  * Imported Upstream version 1.2.0
  * Standards-Version 3.9.5
  * Build-Depends nodejs, avoids availability on platforms nodejs
    isn't built
  * Loosen dependency on nodejs version - only >= 0.10 is available
  * Copyright for cpplint.py
  * Copyright NAN Contributors - the list is given elsewhere
  * Install package.json instead of putting it in docs
  * Install include_dirs.js instead of index.js
  * Some examples are installed already, no need to install tests
    in docs as well
  * Simplify rules, disable cpplint check on build

 -- Jérémy Lal <kapouer@melix.org>  Sat, 14 Jun 2014 22:21:59 +0200

=== debian/control ===
Source: node-nan
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 nodejs,
 debhelper (>= 8.0.0),
 dh-buildinfo,
Standards-Version: 3.9.5
Homepage: https://github.com/rvagg/nan
Vcs-Git: git://anonscm.debian.org/collab-maint/node-nan.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-nan.git

Package: node-nan
Architecture: all
Depends:
 ${misc:Depends},
 nodejs,
Description: Native Abstractions for Node.js
 A header file filled with macro and utility goodness for making addon
 development for Node.js easier across versions 0.8, 0.10 and 0.11, and
 eventually 0.12.
 .
 Thanks to the crazy changes in V8 (and some in Node core), keeping
 native addons compiling happily across versions, particularly 0.10 to
 0.11/0.12, is a minor nightmare. The goal of this project is to store
 all logic necessary to develop native Node.js addons without having to
 inspec NODE_MODULE_VERSION and get yourself into a macro-tangle.
 .
 This project also contains some helper utilities that make addon
 development a bit more pleasant.

## node-nan 1.3.0

=== debian/changelog ===
node-nan (1.3.0-1) unstable; urgency=medium

  * Imported Upstream version 1.3.0
  * Move to pkg-javascript

 -- Jérémy Lal <kapouer@melix.org>  Sat, 06 Sep 2014 22:41:22 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  dh-buildinfo,
 Standards-Version: 3.9.5
 Homepage: https://github.com/rvagg/nan
-Vcs-Git: git://anonscm.debian.org/collab-maint/node-nan.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-nan.git
+Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-nan.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-nan.git
 
 Package: node-nan
 Architecture: all

## node-nan 1.8.4

=== Makefile ===
TOPLEVEL ?= $(dir $(lastword $(MAKEFILE_LIST)))
CPPLINT ?= $(TOPLEVEL)/cpplint.py
PYTHON ?= python
BUILDTYPE ?= Release
MODULES = symbols strings optionvalues
SOURCES = $(MODULES:%=test/cpp/%.cpp)
ADDONS = $(MODULES:%=test/build/$(BUILDTYPE)/%.node)

LINT_SOURCES = \
	examples/async_pi_estimate/addon.cc \
	examples/async_pi_estimate/async.cc \
	examples/async_pi_estimate/async.h \
	examples/async_pi_estimate/pi_est.cc \
	examples/async_pi_estimate/pi_est.h \
	examples/async_pi_estimate/sync.cc \
	examples/async_pi_estimate/sync.h \
	nan.h \
	nan_string_bytes.h \
	nan_implementation_12_inl.h \
	nan_implementation_pre_12_inl.h \
	nan_new.h \
	test/cpp/asyncworker.cpp \
        test/cpp/asyncprogressworker.cpp \
        test/cpp/asyncworkererror.cpp \
        test/cpp/bufferworkerpersistent.cpp \
        test/cpp/gc.cpp \
        test/cpp/morenews.cpp \
	test/cpp/multifile1.cpp \
	test/cpp/multifile2.cpp \
	test/cpp/multifile2.h \
	test/cpp/nancallback.cpp \
	test/cpp/nannew.cpp \
        test/cpp/news.cpp \
	test/cpp/objectwraphandle.cpp \
	test/cpp/optionvalues.cpp \
	test/cpp/persistent.cpp \
	test/cpp/returnemptystring.cpp \
	test/cpp/returnnull.cpp \
	test/cpp/returnundefined.cpp \
	test/cpp/returnvalue.cpp \
	test/cpp/settergetter.cpp \
	test/cpp/strings.cpp \
	test/cpp/symbols.cpp \
        test/cpp/weak.cpp \
	node_modules/node-gyp/gyp/data/win/large-pdb-shim.cc

FILTER = -whitespace/parens

.PHONY: lint

lint:
	cd $(TOPLEVEL) && $(PYTHON) $(CPPLINT) --filter=$(FILTER) $(LINT_SOURCES)

test: $(ADDONS)
	npm test

forcetest:
	cd test/ && node-gyp rebuild && cd ..
	npm test

$(ADDONS): nan.h nan_string_bytes.h nan_new.h nan_implementation_pre_12_inl.h nan_implementation_12_inl.h test/binding.gyp $(SOURCES)
	cd test/ && ../node_modules/.bin/node-gyp rebuild

=== debian/changelog ===
node-nan (1.8.4-3) unstable; urgency=medium

  * Install all headers (Closes: #785791).

 -- Jérémy Lal <kapouer@melix.org>  Wed, 20 May 2015 10:55:51 +0200

node-nan (1.8.4-2) unstable; urgency=medium

  [ Andrew Kelley ]
  * Imported Upstream version 1.8.4
  * add myself to uploaders
  * bump standards version to 3.9.6
  * disable tests
  * add upstream tests
  * embed xtend module

  [ Jérémy Lal ]
  * Tests depend on bindings module
  * Cleanup after tests
  * Add upstream patch fixing a regexp test
  * License is now Expat
  * Add copyright section for nan_string_bytes.h
  * Rename node to nodejs in test binding.gyp

 -- Jérémy Lal <kapouer@melix.org>  Wed, 20 May 2015 01:31:38 +0200

node-nan (1.8.4-1) unstable; urgency=medium

  * Imported Upstream version 1.8.4

 -- Andrew Kelley <superjoe30@gmail.com>  Mon, 18 May 2015 19:47:10 +0000

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,17 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
- Jérémy Lal <kapouer@melix.org>
+ Jérémy Lal <kapouer@melix.org>,
+ Andrew Kelley <superjoe30@gmail.com>
 Build-Depends:
  nodejs,
  debhelper (>= 8.0.0),
  dh-buildinfo,
-Standards-Version: 3.9.5
-Homepage: https://github.com/rvagg/nan
+ node-tap,
+ node-gyp,
+ node-bindings
+Standards-Version: 3.9.6
+Homepage: https://github.com/nodejs/nan
 Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-nan.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-nan.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:

override_dh_auto_test:
	node-gyp rebuild --directory test
	tap --gc test/js/*-test.js

override_dh_clean:
	rm -rf test/build

## node-nan 2.2.0

=== Makefile ===
TOPLEVEL ?= $(dir $(lastword $(MAKEFILE_LIST)))
CPPLINT ?= $(TOPLEVEL)/cpplint.py
PYTHON ?= python
BUILDTYPE ?= Release
MODULES = symbols strings
SOURCES = $(MODULES:%=test/cpp/%.cpp)
ADDONS = $(MODULES:%=test/build/$(BUILDTYPE)/%.node)

LINT_SOURCES = \
	examples/async_pi_estimate/addon.cc \
	examples/async_pi_estimate/async.cc \
	examples/async_pi_estimate/async.h \
	examples/async_pi_estimate/pi_est.cc \
	examples/async_pi_estimate/pi_est.h \
	examples/async_pi_estimate/sync.cc \
	examples/async_pi_estimate/sync.h \
	nan.h \
	nan_callbacks.h \
	nan_callbacks_12_inl.h \
	nan_callbacks_pre_12_inl.h \
	nan_converters.h \
	nan_converters_43_inl.h \
	nan_converters_pre_43_inl.h \
	nan_implementation_12_inl.h \
	nan_implementation_pre_12_inl.h \
	nan_maybe_43_inl.h \
	nan_maybe_pre_43_inl.h \
	nan_new.h \
	nan_object_wrap.h \
	nan_persistent_12_inl.h \
	nan_persistent_pre_12_inl.h \
	nan_string_bytes.h \
	nan_weak.h \
	test/cpp/accessors.cpp \
	test/cpp/accessors2.cpp \
	test/cpp/asyncworker.cpp \
	test/cpp/asyncprogressworker.cpp \
	test/cpp/asyncworkererror.cpp \
	test/cpp/buffer.cpp \
	test/cpp/bufferworkerpersistent.cpp \
	test/cpp/error.cpp \
	test/cpp/gc.cpp \
	test/cpp/indexedinterceptors.cpp \
	test/cpp/isolatedata.cpp \
	test/cpp/makecallback.cpp \
	test/cpp/morenews.cpp \
	test/cpp/converters.cpp \
	test/cpp/isolatedata.cpp \
	test/cpp/makecallback.cpp \
	test/cpp/morenews.cpp \
	test/cpp/multifile1.cpp \
	test/cpp/multifile2.cpp \
	test/cpp/multifile2.h \
	test/cpp/namedinterceptors.cpp \
	test/cpp/nancallback.cpp \
	test/cpp/nannew.cpp \
	test/cpp/news.cpp \
	test/cpp/objectwraphandle.cpp \
	test/cpp/persistent.cpp \
	test/cpp/returnemptystring.cpp \
	test/cpp/returnnull.cpp \
	test/cpp/returnundefined.cpp \
	test/cpp/returnvalue.cpp \
	test/cpp/setcallhandler.cpp \
	test/cpp/settemplate.cpp \
	test/cpp/strings.cpp \
	test/cpp/symbols.cpp \
	test/cpp/threadlocal.cpp \
	test/cpp/trycatch.cpp \
	test/cpp/weak.cpp \
	test/cpp/weak2.cpp \
	test/cpp/wrappedobjectfactory.cpp \
	node_modules/node-gyp/gyp/data/win/large-pdb-shim.cc

FILTER = -whitespace/parens

.PHONY: lint

lint:
	cd $(TOPLEVEL) && $(PYTHON) $(CPPLINT) --filter=$(FILTER) $(LINT_SOURCES)

test: $(ADDONS)
	npm test

forcetest:
	cd test && ../node_modules/.bin/node-gyp rebuild && cd ..
	npm test

docs: README.md doc/.build.sh doc/asyncworker.md doc/buffers.md doc/callback.md \
		doc/converters.md doc/errors.md doc/maybe_types.md doc/methods.md doc/new.md \
		doc/node_misc.md doc/persistent.md doc/scopes.md doc/script.md doc/string_bytes.md \
		doc/v8_internals.md doc/v8_misc.md
	doc/.build.sh


$(ADDONS): nan.h nan_new.h nan_implementation_pre_12_inl.h nan_implementation_12_inl.h \
		nan_callbacks.h nan_callbacks_12_inl.h nan_callbacks_pre_12_inl.h \
		nan_converters.h nan_converters_43_inl.h nan_converters_pre_43_inl.h \
		nan_maybe_43_inl.h nan_maybe_pre_43_inl.h \
		nan_persistent_12_inl.h nan_persistent_pre_12_inl.h nan_weak.h \
		nan_string_bytes.h test/binding.gyp $(SOURCES)
	cd test/ && ../node_modules/.bin/node-gyp rebuild

=== debian/changelog ===
node-nan (2.2.0-1) unstable; urgency=medium

  * Imported Upstream version 2.2.0

 -- Jérémy Lal <kapouer@melix.org>  Sun, 10 Jan 2016 23:34:22 +0100

node-nan (2.1.0-1) unstable; urgency=medium

  * Imported Upstream version 2.1.0

 -- Jérémy Lal <kapouer@melix.org>  Tue, 27 Oct 2015 10:55:58 +0100

node-nan (2.0.9-1) unstable; urgency=medium

  * Imported Upstream version 2.0.9

 -- Jérémy Lal <kapouer@melix.org>  Wed, 09 Sep 2015 16:52:51 +0200

node-nan (2.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 31 Aug 2015 04:36:30 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  Andrew Kelley <superjoe30@gmail.com>
 Build-Depends:
  nodejs,
- debhelper (>= 8.0.0),
+ debhelper (>= 9.0.0),
  dh-buildinfo,
- node-tap,
+ node-tap (>= 0.7.1),
  node-gyp,
  node-bindings
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,5 @@
 	tap --gc test/js/*-test.js
 
 override_dh_clean:
+	dh_clean
 	rm -rf test/build

## node-nan 2.3.5

=== Makefile ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	test/cpp/accessors2.cpp \
 	test/cpp/asyncworker.cpp \
 	test/cpp/asyncprogressworker.cpp \
+	test/cpp/asyncprogressworkersignal.cpp \
 	test/cpp/asyncworkererror.cpp \
 	test/cpp/buffer.cpp \
 	test/cpp/bufferworkerpersistent.cpp \

=== debian/changelog ===
node-nan (2.3.5-1) unstable; urgency=medium

  * Imported Upstream version 2.3.5

 -- Jérémy Lal <kapouer@melix.org>  Fri, 01 Jul 2016 17:54:40 +0200

node-nan (2.3.0-1) unstable; urgency=medium

  * Imported Upstream version 2.3.0
  * Standards-Version 3.9.8

 -- Jérémy Lal <kapouer@melix.org>  Wed, 27 Apr 2016 20:54:29 +0200

node-nan (2.2.1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.1
  * Standards-Version 3.9.7
  * Vcs "secure" url

 -- Jérémy Lal <kapouer@melix.org>  Thu, 31 Mar 2016 14:19:45 +0200

## node-nan 2.4.0

=== Makefile ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	test/cpp/accessors2.cpp \
 	test/cpp/asyncworker.cpp \
 	test/cpp/asyncprogressworker.cpp \
+	test/cpp/asyncprogressworkerstream.cpp \
 	test/cpp/asyncprogressworkersignal.cpp \
 	test/cpp/asyncworkererror.cpp \
 	test/cpp/buffer.cpp \

=== debian/changelog ===
node-nan (2.4.0-2) unstable; urgency=medium

  * Fix failing test (Closes: #844905)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 28 Nov 2016 00:25:55 +0100

node-nan (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0

 -- Jérémy Lal <kapouer@melix.org>  Sat, 10 Sep 2016 10:54:06 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
  node-tap (>= 0.7.1),
  node-gyp,
  node-bindings
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/nodejs/nan
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-nan.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-nan.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-nan.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-javascript/node-nan.git
 
 Package: node-nan
 Architecture: all

## node-nan 2.9.2

=== Makefile ===
--- 
+++ 
@@ -23,31 +23,36 @@
 	nan_converters_pre_43_inl.h \
 	nan_implementation_12_inl.h \
 	nan_implementation_pre_12_inl.h \
+	nan_json.h \
 	nan_maybe_43_inl.h \
 	nan_maybe_pre_43_inl.h \
 	nan_new.h \
 	nan_object_wrap.h \
 	nan_persistent_12_inl.h \
 	nan_persistent_pre_12_inl.h \
+	nan_private.h \
 	nan_string_bytes.h \
 	nan_weak.h \
 	test/cpp/accessors.cpp \
 	test/cpp/accessors2.cpp \
+	test/cpp/asyncresource.cpp \
 	test/cpp/asyncworker.cpp \
 	test/cpp/asyncprogressworker.cpp \
 	test/cpp/asyncprogressworkerstream.cpp \
 	test/cpp/asyncprogressworkersignal.cpp \
+	test/cpp/asyncprogressqueueworker.cpp \
+	test/cpp/asyncprogressqueueworkerstream.cpp \
 	test/cpp/asyncworkererror.cpp \
 	test/cpp/buffer.cpp \
 	test/cpp/bufferworkerpersistent.cpp \
 	test/cpp/error.cpp \
 	test/cpp/gc.cpp \
 	test/cpp/indexedinterceptors.cpp \
-	test/cpp/isolatedata.cpp \
-	test/cpp/makecallback.cpp \
-	test/cpp/morenews.cpp \
+	test/cpp/callbackcontext.cpp \
 	test/cpp/converters.cpp \
 	test/cpp/isolatedata.cpp \
+	test/cpp/json-parse.cpp \
+	test/cpp/json-stringify.cpp \
 	test/cpp/makecallback.cpp \
 	test/cpp/morenews.cpp \
 	test/cpp/multifile1.cpp \
@@ -59,12 +64,14 @@
 	test/cpp/news.cpp \
 	test/cpp/objectwraphandle.cpp \
 	test/cpp/persistent.cpp \
+	test/cpp/private.cpp \
 	test/cpp/returnemptystring.cpp \
 	test/cpp/returnnull.cpp \
 	test/cpp/returnundefined.cpp \
 	test/cpp/returnvalue.cpp \
 	test/cpp/setcallhandler.cpp \
 	test/cpp/settemplate.cpp \
+	test/cpp/sleep.h \
 	test/cpp/strings.cpp \
 	test/cpp/symbols.cpp \
 	test/cpp/threadlocal.cpp \
@@ -91,14 +98,14 @@
 docs: README.md doc/.build.sh doc/asyncworker.md doc/buffers.md doc/callback.md \
 		doc/converters.md doc/errors.md doc/maybe_types.md doc/methods.md doc/new.md \
 		doc/node_misc.md doc/persistent.md doc/scopes.md doc/script.md doc/string_bytes.md \
-		doc/v8_internals.md doc/v8_misc.md
+		doc/v8_internals.md doc/json.md doc/v8_misc.md
 	doc/.build.sh
 
 
 $(ADDONS): nan.h nan_new.h nan_implementation_pre_12_inl.h nan_implementation_12_inl.h \
 		nan_callbacks.h nan_callbacks_12_inl.h nan_callbacks_pre_12_inl.h \
 		nan_converters.h nan_converters_43_inl.h nan_converters_pre_43_inl.h \
-		nan_maybe_43_inl.h nan_maybe_pre_43_inl.h \
-		nan_persistent_12_inl.h nan_persistent_pre_12_inl.h nan_weak.h \
-		nan_string_bytes.h test/binding.gyp $(SOURCES)
+		nan_json.h nan_maybe_43_inl.h nan_maybe_pre_43_inl.h \
+		nan_persistent_12_inl.h nan_persistent_pre_12_inl.h nan_private.h \
+		nan_weak.h nan_string_bytes.h test/binding.gyp $(SOURCES)
 	cd test/ && ../node_modules/.bin/node-gyp rebuild

=== debian/changelog ===
node-nan (2.9.2-1) unstable; urgency=medium

  * New upstream version 2.9.2
  * Standards-Version 4.1.3

 -- Jérémy Lal <kapouer@melix.org>  Mon, 26 Feb 2018 22:28:25 +0100

node-nan (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0
  * Drop Andrew Kelley from Uploaders, no longer active
  * Standards-Version 4.1.1

 -- Jérémy Lal <kapouer@melix.org>  Wed, 22 Nov 2017 22:40:28 +0100

node-nan (2.7.0-3) unstable; urgency=medium

  * Team upload
  * send some autopkgtest stderr to stdout. Fixing it.

 -- Bastien Roucariès <rouca@debian.org>  Fri, 08 Sep 2017 12:31:20 +0200

node-nan (2.7.0-2) unstable; urgency=medium

  * Fix autopkgtest depends

 -- Bastien Roucariès <rouca@debian.org>  Thu, 07 Sep 2017 10:54:20 +0200

node-nan (2.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.7.0
  * Extend copyright year
  * Run autopkgtestsuite

 -- Bastien Roucariès <rouca@debian.org>  Wed, 06 Sep 2017 14:33:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: node-nan
-Section: web
-Priority: extra
+Section: javascript
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders:
- Mike Gabriel <sunweaver@debian.org>,
  Jérémy Lal <kapouer@melix.org>,
- Andrew Kelley <superjoe30@gmail.com>
 Build-Depends:
- nodejs,
- debhelper (>= 9.0.0),
+ nodejs (>= 6.11.2~dfsg-1~),
+ debhelper (>= 10.0.0),
  dh-buildinfo,
- node-tap (>= 0.7.1),
- node-gyp,
- node-bindings
-Standards-Version: 3.9.8
+ dpkg-dev (>= 1.17.14),
+ node-tap (>= 0.7.1) <!nocheck>,
+ node-gyp (>= 3.0.1) <!nocheck>,
+ node-bindings (>=1.2.1)  <!nocheck>
+Standards-Version: 4.1.3
 Homepage: https://github.com/nodejs/nan
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-nan.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-javascript/node-nan.git
@@ -22,7 +21,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- nodejs,
+ nodejs (>= 6.11.2~dfsg-1~),
 Description: Native Abstractions for Node.js
  A header file filled with macro and utility goodness for making addon
  development for Node.js easier across versions 0.8, 0.10 and 0.11, and

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,20 @@
 override_dh_auto_build:
 
 override_dh_auto_test:
-	node-gyp rebuild --directory test
-	tap --gc test/js/*-test.js
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+	V=1 node-gyp rebuild --directory test
+	tap -R spec --gc test/js/*-test.js
+else
+	@echo '**********************************************************'
+	@echo 'Skip test suite                                           '
+	@echo '**********************************************************'
+endif
+
+override_dh_auto_clean:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+	node-gyp clean
+endif
+	dh_auto_clean
 
 override_dh_clean:
 	dh_clean

## node-nan 2.10.0

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	nan_converters.h \
 	nan_converters_43_inl.h \
 	nan_converters_pre_43_inl.h \
+	nan_define_own_property_helper.h \
 	nan_implementation_12_inl.h \
 	nan_implementation_pre_12_inl.h \
 	nan_json.h \
@@ -105,6 +106,7 @@
 $(ADDONS): nan.h nan_new.h nan_implementation_pre_12_inl.h nan_implementation_12_inl.h \
 		nan_callbacks.h nan_callbacks_12_inl.h nan_callbacks_pre_12_inl.h \
 		nan_converters.h nan_converters_43_inl.h nan_converters_pre_43_inl.h \
+		nan_define_own_property_helper.h \
 		nan_json.h nan_maybe_43_inl.h nan_maybe_pre_43_inl.h \
 		nan_persistent_12_inl.h nan_persistent_pre_12_inl.h nan_private.h \
 		nan_weak.h nan_string_bytes.h test/binding.gyp $(SOURCES)

=== debian/changelog ===
node-nan (2.10.0-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * New upstream version 2.10.0
  * cme fix dpkg:
    - Update debian/copyright format
    - Remove version dependency for node-bindings

 -- Jérémy Lal <kapouer@melix.org>  Sat, 12 May 2018 14:15:44 +0200

=== debian/control ===
Source: node-nan
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Section: javascript
Priority: optional
Build-Depends: nodejs (>= 6.11.2~dfsg-1~),
               debhelper (>= 10.0.0),
               dh-buildinfo,
               dpkg-dev (>= 1.17.14),
               node-tap (>= 0.7.1) <!nocheck>,
               node-gyp (>= 3.0.1) <!nocheck>,
               node-bindings <!nocheck>
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/js-team/node-nan
Vcs-Git: https://salsa.debian.org/js-team/node-nan.git
Homepage: https://github.com/nodejs/nan

Package: node-nan
Architecture: all
Depends: ${misc:Depends},
         nodejs (>= 6.11.2~dfsg-1~)
Description: Native Abstractions for Node.js
 A header file filled with macro and utility goodness for making addon
 development for Node.js easier across versions 0.8, 0.10 and 0.11, and
 eventually 0.12.
 .
 Thanks to the crazy changes in V8 (and some in Node core), keeping
 native addons compiling happily across versions, particularly 0.10 to
 0.11/0.12, is a minor nightmare. The goal of this project is to store
 all logic necessary to develop native Node.js addons without having to
 inspec NODE_MODULE_VERSION and get yourself into a macro-tangle.
 .
 This project also contains some helper utilities that make addon
 development a bit more pleasant.

## node-nan 2.11.1

=== debian/changelog ===
node-nan (2.11.1-1) unstable; urgency=medium

  * New upstream version 2.11.1
  * Standards-Version 4.2.1

 -- Jérémy Lal <kapouer@melix.org>  Sun, 30 Sep 2018 11:27:01 +0200

## node-nan 2.12.1

=== Makefile ===
--- 
+++ 
@@ -77,6 +77,7 @@
 	test/cpp/symbols.cpp \
 	test/cpp/threadlocal.cpp \
 	test/cpp/trycatch.cpp \
+	test/cpp/typedarrays.cpp \
 	test/cpp/weak.cpp \
 	test/cpp/weak2.cpp \
 	test/cpp/wrappedobjectfactory.cpp \

=== debian/changelog ===
node-nan (2.12.1-1) unstable; urgency=medium

  * New upstream version 2.12.1

 -- Jérémy Lal <kapouer@melix.org>  Wed, 02 Jan 2019 15:59:33 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                node-tap (>= 0.7.1) <!nocheck>,
                node-gyp (>= 3.0.1) <!nocheck>,
                node-bindings <!nocheck>
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-nan
 Vcs-Git: https://salsa.debian.org/js-team/node-nan.git
 Homepage: https://github.com/nodejs/nan

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-nan-$1.tar.gz/ \
https://github.com/nodejs/nan/tags .*/archive/v?([\d\.]+).tar.gz

## node-nan 2.14.0

=== Makefile ===
--- 
+++ 
@@ -55,6 +55,7 @@
 	test/cpp/json-parse.cpp \
 	test/cpp/json-stringify.cpp \
 	test/cpp/makecallback.cpp \
+	test/cpp/maybe.cpp \
 	test/cpp/morenews.cpp \
 	test/cpp/multifile1.cpp \
 	test/cpp/multifile2.cpp \

=== debian/changelog ===
node-nan (2.14.0-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * Add upstream/metadata

  [ Jérémy Lal ]
  * New upstream version 2.14.0
  * Update changelog
  * Standards-Version 4.3.0

 -- Jérémy Lal <kapouer@melix.org>  Wed, 10 Jul 2019 17:06:03 +0200

node-nan (2.13.2-1) unstable; urgency=medium

  * New upstream version 2.13.2

 -- Jérémy Lal <kapouer@melix.org>  Thu, 25 Apr 2019 10:08:07 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                node-tap (>= 0.7.1) <!nocheck>,
                node-gyp (>= 3.0.1) <!nocheck>,
                node-bindings <!nocheck>
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-nan
 Vcs-Git: https://salsa.debian.org/js-team/node-nan.git
 Homepage: https://github.com/nodejs/nan

=== debian/tests/control ===
Tests: require
Depends: node-nan, nodejs (>= 6.11.2~dfsg-1)

Tests: runtestsuite
Depends: node-nan,
 node-tap (>= 0.7.1),
 node-gyp (>= 3.0.1),
 node-bindings (>=1.2.1),
 build-essential

## node-nan 2.14.2

=== Makefile ===
--- 
+++ 
@@ -84,7 +84,7 @@
 	test/cpp/wrappedobjectfactory.cpp \
 	node_modules/node-gyp/gyp/data/win/large-pdb-shim.cc
 
-FILTER = -whitespace/parens
+FILTER = -build/include_subdir,-whitespace/parens
 
 .PHONY: lint

=== debian/changelog ===
node-nan (2.14.2-2) unstable; urgency=medium

  * Team upload
  * Remove useless transitional link in usr/lib/nodejs (full rebuild tested)
  * Use dh-sequence-nodejs auto test & install

 -- Xavier Guimard <yadd@debian.org>  Fri, 15 Jan 2021 09:44:24 +0100

node-nan (2.14.2-1) unstable; urgency=medium

  * Team upload
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * New upstream version 2.14.2
  * Install in /usr/share/nodejs with a transitional link in /usr/lib/nodejs
  * Drop dependency to nodejs
  * Apply multi-arch hints (foreign)

 -- Xavier Guimard <yadd@debian.org>  Fri, 15 Jan 2021 09:31:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: node-nan
+Section: javascript
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
-Section: javascript
-Priority: optional
-Build-Depends: nodejs (>= 6.11.2~dfsg-1~),
-               debhelper (>= 10.0.0),
-               dh-buildinfo,
-               dpkg-dev (>= 1.17.14),
-               node-tap (>= 0.7.1) <!nocheck>,
-               node-gyp (>= 3.0.1) <!nocheck>,
-               node-bindings <!nocheck>
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13)
+ , dh-sequence-nodejs
+ , node-bindings <!nocheck>
+ , node-gyp (>= 3.0.1) <!nocheck>
+ , node-tap (>= 0.7.1) <!nocheck>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-nan
 Vcs-Git: https://salsa.debian.org/js-team/node-nan.git
 Homepage: https://github.com/nodejs/nan
+Testsuite: autopkgtest-pkg-nodejs
+Rules-Requires-Root: no
 
 Package: node-nan
 Architecture: all
-Depends: ${misc:Depends},
-         nodejs (>= 6.11.2~dfsg-1~)
+Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Native Abstractions for Node.js
  A header file filled with macro and utility goodness for making addon
  development for Node.js easier across versions 0.8, 0.10 and 0.11, and

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:

override_dh_auto_clean:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	node-gyp clean
endif
	dh_auto_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-nan-$1.tar.gz/ \
https://github.com/nodejs/nan/tags .*/archive/v?([\d\.]+).tar.gz

## node-nan 2.15.0

=== debian/changelog ===
node-nan (2.15.0-1ubuntu1) jammy; urgency=medium

  * d/p/disable-test-for-s390x.patch: Disable part of strings-test
    - This test case breaks on s390x, presumably due to endian issue
      (LP: #1967589)

 -- Bryce Harrington <bryce@canonical.com>  Sat, 02 Apr 2022 02:16:42 +0000

node-nan (2.15.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Fix the example file.
  * Test the example during build.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 19 Sep 2021 15:16:41 +0000

=== debian/control ===
Source: node-nan
Section: javascript
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-bindings <!nocheck>
 , node-gyp <!nocheck>
 , node-tap <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/js-team/node-nan
Vcs-Git: https://salsa.debian.org/js-team/node-nan.git
Homepage: https://github.com/nodejs/nan
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-nan
Architecture: all
Depends: ${misc:Depends}
Recommends: nodejs:any
Multi-Arch: foreign
Description: Native Abstractions for Node.js
 A header file filled with macro and utility goodness for making addon
 development for Node.js easier across versions.
 .
 Keeping native addons compiling happily across versions, particularly
 is a minor nightmare, due to API/ABI incompatibilities.
 The goal of this project is to store
 all logic necessary to develop native Node.js addons without having to
 inspec NODE_MODULE_VERSION and get yourself into a macro-tangle.
 .
 This project also contains some helper utilities that make addon
 development a bit more pleasant.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs 

debian/testdir/examples:
	test -d debian/testdir || mkdir -p debian/testdir
	cp -rf examples debian/testdir

testexamples: debian/testdir/examples node_modules/nan
	V=1 node-gyp rebuild --directory debian/testdir/examples/async_pi_estimate/
	node debian/testdir/examples/async_pi_estimate/addon.js

node_modules/nan:
	test -d node_modules || mkdir node_modules
	ln -s .. node_modules/nan

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
override_dh_auto_test: testexamples
	V=1 node-gyp rebuild --directory test
	tap -R spec --gc test/js/*-test.js
else:
override_dh_auto_test:
endif

override_dh_auto_clean:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	node-gyp clean
endif
	dh_auto_clean
	rm -rf debian/testdir
	rm -rf node_modules

.PHONY=testexamples

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-nan-$1.tar.gz/ \
https://github.com/nodejs/nan/tags .*/archive/.*/v?([\d\.]+).tar.gz

## node-nan 2.16.0

=== debian/changelog ===
node-nan (2.16.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1987440). Remaining changes:
    - d/p/disable-test-for-s390x.patch: Disable part of strings-test
      + This test case breaks on s390x, presumably due to endian issue
        (LP #1967589)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 23 Aug 2022 14:09:37 -0700

node-nan (2.16.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Jérémy Lal ]
  * New upstream version 2.16.0
  * Update standards version to 4.6.0, no changes needed.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 28 Jun 2022 14:00:12 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  , node-bindings <!nocheck>
  , node-gyp <!nocheck>
  , node-tap <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-nan
 Vcs-Git: https://salsa.debian.org/js-team/node-nan.git
 Homepage: https://github.com/nodejs/nan

## node-nan 2.17.0

=== debian/changelog ===
node-nan (2.17.0-1) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.1, no changes needed.
  * Fix filenamemangle
  * New upstream version 2.17.0

 -- Yadd <yadd@debian.org>  Tue, 22 Nov 2022 13:34:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: node-nan
 Section: javascript
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , node-bindings <!nocheck>
  , node-gyp <!nocheck>
  , node-tap <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-nan
 Vcs-Git: https://salsa.debian.org/js-team/node-nan.git
 Homepage: https://github.com/nodejs/nan

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with nodejs 
+	dh $@ --with nodejs
 
 debian/testdir/examples:
 	test -d debian/testdir || mkdir -p debian/testdir

## node-nan 2.18.0

=== debian/changelog ===
node-nan (2.18.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/disable-test-for-s390x.patch: Disable part of strings-test
      + This test case breaks on s390x, presumably due to endian issue
        (LP #1967589)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 15 Feb 2024 22:50:57 -0800

node-nan (2.18.0-1) unstable; urgency=medium

  * New upstream version 2.18.0

 -- Jérémy Lal <kapouer@melix.org>  Tue, 05 Dec 2023 08:00:19 +0100

node-nan (2.17.0-2) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.2, no changes needed.
  * Fix clean (Closes: #1049113)

 -- Yadd <yadd@debian.org>  Tue, 15 Aug 2023 20:50:23 +0400

node-nan (2.17.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #2002854). Remaining changes:
    - d/p/disable-test-for-s390x.patch: Disable part of strings-test
      + This test case breaks on s390x, presumably due to endian issue
        (LP #1967589)

 -- Bryce Harrington <bryce@canonical.com>  Fri, 13 Jan 2023 12:53:01 -0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: node-nan
 Section: javascript
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , node-bindings <!nocheck>
  , node-gyp <!nocheck>
  , node-tap <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-nan
 Vcs-Git: https://salsa.debian.org/js-team/node-nan.git
 Homepage: https://github.com/nodejs/nan

=== debian/rules ===
--- 
+++ 
@@ -36,3 +36,4 @@
 	rm -rf node_modules
 
 .PHONY=testexamples
+

## node-nan 2.22.0

=== debian/changelog ===
node-nan (2.22.0-1) unstable; urgency=medium

  * New upstream version 2.22.0
  * d/rules: allow node-gyp clean to fail

 -- Jérémy Lal <kapouer@melix.org>  Fri, 29 Nov 2024 19:15:38 +0100

## node-nan 2.22.2

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	nan_persistent_12_inl.h \
 	nan_persistent_pre_12_inl.h \
 	nan_private.h \
+	nan_scriptorigin.h \
 	nan_string_bytes.h \
 	nan_weak.h \
 	test/cpp/accessors.cpp \
@@ -111,5 +112,6 @@
 		nan_define_own_property_helper.h \
 		nan_json.h nan_maybe_43_inl.h nan_maybe_pre_43_inl.h \
 		nan_persistent_12_inl.h nan_persistent_pre_12_inl.h nan_private.h \
-		nan_weak.h nan_string_bytes.h test/binding.gyp $(SOURCES)
+		nan_weak.h nan_scriptorigin.h nan_string_bytes.h \
+		test/binding.gyp $(SOURCES)
 	cd test/ && ../node_modules/.bin/node-gyp rebuild

=== debian/changelog ===
node-nan (2.22.2-1) unstable; urgency=medium

  * New upstream version 2.22.2
  * Standards-Version 4.7.2, no change required

 -- Jérémy Lal <kapouer@melix.org>  Wed, 19 Mar 2025 12:33:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: node-nan
 Section: javascript
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , node-bindings <!nocheck>
  , node-gyp <!nocheck>
  , node-tap <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-nan
 Vcs-Git: https://salsa.debian.org/js-team/node-nan.git
 Homepage: https://github.com/nodejs/nan

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 override_dh_auto_clean:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-	node-gyp clean
+	-node-gyp clean
 endif
 	dh_auto_clean
 	rm -rf debian/testdir

=== debian/tests/control ===
Test-Command: make -f debian/rules testexamples
Depends: @, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-nan-$1/ \
https://github.com/nodejs/nan/tags .*/archive/.*/v?([\d\.]+).tar.gz

## node-nan 2.24.0

=== debian/changelog ===
node-nan (2.24.0-1) unstable; urgency=medium

  * New upstream version 2.24.0
  * Update watch version 5

 -- Jérémy Lal <kapouer@melix.org>  Sat, 13 Dec 2025 12:03:41 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: nodejs
Project: nan
